
var cam_open;
var cam_close;
var cam_takephotoA3;
var cam_takephotoA4;

//打开高拍仪
function openCamera(data, callback) {
    cam_open = callback;
    window.external.Open_Camera(data,"openCamera_callback");

}
//打开高拍仪回调
function openCamera_callback(json) {
    cam_open(json);
}

//关闭高拍仪
function closeCamera(data, callback) {
    cam_close = callback;
    window.external.Close_Camera("closeCamera_callback");

}
//关闭高拍仪回调
function closeCamera_callback(json) {
    cam_close(json);
}
//拍照 A3
function takePhotoA3(data, callback) {
    cam_takephotoA3 = callback;
    window.external.TakePhotoA3_Camera("takePhotoA3_callback");

}
//拍照回调
function takePhotoA3_callback(json) {
    cam_takephotoA3(json)
}

//拍照 A4
function takePhotoA4(data, callback) {
    cam_takephotoA4 = callback;
    window.external.TakePhotoA4_Camera("takePhotoA4_callback");
}
//拍照回调
function takePhotoA4_callback(json) {
    cam_takephotoA4(json)
}
